r1088 - in /experimental/ffmpeg.20080206/debian: changelog get-orig-source.sh rules

siretart at users.alioth.debian.org siretart at users.alioth.debian.org
Thu Mar 20 16:58:20 UTC 2008


Author: siretart
Date: Thu Mar 20 16:58:20 2008
New Revision: 1088

URL: http://svn.debian.org/wsvn/pkg-multimedia/?sc=1&rev=1088
Log:
Implemented debian/get-orig-source.sh and adjusted the get-orig-source
target in debian/rules to use that.

Added:
    experimental/ffmpeg.20080206/debian/get-orig-source.sh
Modified:
    experimental/ffmpeg.20080206/debian/changelog
    experimental/ffmpeg.20080206/debian/rules

Modified: experimental/ffmpeg.20080206/debian/changelog
URL: http://svn.debian.org/wsvn/pkg-multimedia/experimental/ffmpeg.20080206/debian/changelog?rev=1088&op=diff
==============================================================================
--- experimental/ffmpeg.20080206/debian/changelog (original)
+++ experimental/ffmpeg.20080206/debian/changelog Thu Mar 20 16:58:20 2008
@@ -12,6 +12,8 @@
     public API now.
   * introduce new package: libavdevice52 and libavdevice-dev.
   * remove obsolete patch 015_build_imgresample.
+  * Implemented debian/get-orig-source.sh and adjusted the get-orig-source
+    target in debian/rules to use that.
 
   [ Fabian Greffrath ]
   * debian/changelog:
@@ -41,7 +43,7 @@
       from this library. Resolves "symbols found in none of the libraries"
       warnings from dpkg-shlibdeps.
 
- -- Reinhard Tartler <siretart at tauware.de>  Wed, 19 Mar 2008 23:53:26 +0100
+ -- Reinhard Tartler <siretart at tauware.de>  Thu, 20 Mar 2008 17:57:21 +0100
 
 ffmpeg-free (0.cvs20071007-4) experimental; urgency=low
 

Added: experimental/ffmpeg.20080206/debian/get-orig-source.sh
URL: http://svn.debian.org/wsvn/pkg-multimedia/experimental/ffmpeg.20080206/debian/get-orig-source.sh?rev=1088&op=file
==============================================================================
--- experimental/ffmpeg.20080206/debian/get-orig-source.sh (added)
+++ experimental/ffmpeg.20080206/debian/get-orig-source.sh Thu Mar 20 16:58:20 2008
@@ -1,0 +1,99 @@
+#!/bin/sh
+#
+#  Script to create a 'pristine' tarball for the debian ffmpeg source package
+#  Copyright (C) 2008, Reinhard Tartler
+#
+#  This program is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License as published by
+#  the Free Software Foundation; either version 2 of the License, or
+#  (at your option) any later version.
+#
+#  This program is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License along
+#  with this program; if not, write to the Free Software Foundation, Inc.,
+#  51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+set -eu
+
+usage() {
+	cat >&2 <<EOF
+usage: $0 [-dh]
+  -h : display help
+  -r : svn revision
+  -o : output tarball name
+  -c : path to cleanup script
+EOF
+}
+
+debug () {
+	$DEBUG && echo "DEBUG: $*" >&2
+}
+
+error () {
+	echo "$1" >&2
+	exit 1;
+}
+
+set +e
+PARAMS=`getopt hr:c:o: "$@"`
+if test $? -ne 0; then usage; exit 1; fi;
+set -e
+
+eval set -- "$PARAMS"
+
+DEBUG=false
+REVISION=
+CLEANUPSCRIPT=
+TARBALL=
+
+while test $# -gt 0
+do
+	case $1 in
+		-h) usage; exit 1 ;;
+		-r) REVISION=$2; shift ;;
+		-c) CLEANUPSCRIPT=$2; shift ;;
+		-o) TARBALL=$2; shift ;;
+		--) shift ; break ;;
+		*)  echo "Internal error!" ; exit 1 ;;
+	esac
+	shift
+done
+
+if [ -z $REVISION ]; then
+	error "you need to specify an svn revision"
+fi
+
+if [ -z $TARBALL ]; then
+	error "you need to specify a tarballname"
+fi
+
+if [ -n $CLEANUPSCRIPT ] && [ -f $CLEANUPSCRIPT ]; then
+	if [ ! -x $CLEANUPSCRIPT ]; then
+		error "$CLEANUPSCRIPT must be executable"
+	fi
+fi
+
+TMPDIR=`mktemp -d`
+trap 'rm -rf ${TMPDIR}'  EXIT
+
+svn export -r${REVISION} \
+	svn://svn.mplayerhq.hu/ffmpeg/trunk \
+	${TMPDIR}/ffmpeg
+
+# libswscale is just an unversioned redirect, so we have to export it properly by hand
+rm -rf ${TMPDIR}/ffmpeg/libswscale
+
+svn export -r${REVISION} \
+	svn://svn.mplayerhq.hu/mplayer/trunk/libswscale \
+	${TMPDIR}/ffmpeg/libswscale
+	
+if [ -n ${CLEANUPSCRIPT} ]; then
+	( cd ${TMPDIR}/ffmpeg && ${CLEANUPSCRIPT} )
+fi
+
+tar czf ${TARBALL} -C ${TMPDIR} ffmpeg
+

Modified: experimental/ffmpeg.20080206/debian/rules
URL: http://svn.debian.org/wsvn/pkg-multimedia/experimental/ffmpeg.20080206/debian/rules?rev=1088&op=diff
==============================================================================
--- experimental/ffmpeg.20080206/debian/rules (original)
+++ experimental/ffmpeg.20080206/debian/rules Thu Mar 20 16:58:20 2008
@@ -112,16 +112,17 @@
 	dh_clean config.log config-extra-includes.h config.h
 
 get-orig-source:
-	svn export -r{$(SVN_VERSION)} svn://svn.mplayerhq.hu/ffmpeg/trunk ffmpeg-free-$(SRC_VERSION)
-	# libswscale is just an unversioned redirect, so we have to export it properly by hand
-	rm -rf ffmpeg-free-$(SRC_VERSION)/libswscale
-	svn export -r{$(SVN_VERSION)} svn://svn.mplayerhq.hu/mplayer/trunk/libswscale ffmpeg-free-$(SRC_VERSION)/libswscale
+	dh_testdir
 ifeq (,$(findstring risky,$(DEB_BUILD_OPTIONS)))
-        # strip/clean the code from potentially dangerous patented code
-	cd ffmpeg-free-$(SRC_VERSION) && sh debian/strip.sh
+        # disable potentially dangerous patented code
+	chmod +x debian/strip.sh
+	sh debian/get-orig-source.sh -r{$(SVN_VERSION)} \
+	    -c $(PWD)/debian/strip.sh \
+	    -o ../ffmpeg-free_$(SRC_VERSION).orig.tar.gz
+else
+	sh debian/get-orig-source.sh -r{$(SVN_VERSION)} \
+	    -o ../ffmpeg_$(SRC_VERSION).orig.tar.gz
 endif
-	tar czf ../tarballs/ffmpeg-free_$(SRC_VERSION).orig.tar.gz ffmpeg-free-$(SRC_VERSION)/
-	rm -rf ffmpeg-free-$(SRC_VERSION)/
 
 install: build
 	dh_testdir




More information about the pkg-multimedia-commits mailing list